package cn.datax.service.data.standard.service;

import cn.datax.service.data.standard.api.entity.StandardDictEntity;
import cn.datax.service.data.standard.api.dto.StandardDictDto;
import cn.datax.common.base.BaseService;

import java.util.List;

/**
 * <p>
 * 标准信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-08-10
 */
public interface StandardDictService extends BaseService<StandardDictEntity> {

    StandardDictEntity saveStandardDict(StandardDictDto standardDict);

    StandardDictEntity updateStandardDict(StandardDictDto standardDict);

    StandardDictEntity getStandardDictById(String id);

    void deleteStandardDictById(String id);

    void deleteStandardDictBatch(List<String> ids);
}
